# Generated by Django 3.0.7 on 2021-10-21 23:23

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Abono',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('abonado', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('fecha_abono', models.DateField()),
            ],
            options={
                'db_table': 'abono',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Cliente',
            fields=[
                ('id_cliente', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('nombre_cliente', models.CharField(max_length=60)),
                ('direccion_cliente', models.CharField(blank=True, max_length=60, null=True)),
                ('email_cliente', models.CharField(blank=True, max_length=50, null=True, unique=True)),
                ('telefono_cliente', models.PositiveIntegerField()),
            ],
            options={
                'db_table': 'cliente',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Credito',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('estado_credito', models.CharField(max_length=30)),
                ('fecha_convenida', models.DateField()),
                ('monto_venta', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('monto_pendiente', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
            ],
            options={
                'db_table': 'credito',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Empresa',
            fields=[
                ('id_empresa', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('nombre_empresa', models.CharField(max_length=30)),
                ('simbolo_moneda', models.CharField(max_length=3)),
                ('moneda_decimal', models.BooleanField()),
                ('logo_empresa', models.ImageField(upload_to='photos')),
            ],
            options={
                'db_table': 'empresa',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='FamiliaProducto',
            fields=[
                ('id_familia', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('familia', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'db_table': 'familia_producto',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='IngresoProducto',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('stock_ingreso', models.PositiveIntegerField()),
            ],
            options={
                'db_table': 'ingreso_producto',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='OrdenDePedido',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_orden', models.DateField()),
                ('estado_orden', models.CharField(default='Pendiente', max_length=30)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
            ],
            options={
                'db_table': 'orden_de_pedido',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='OrdenProductos',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('cantidad_orden_producto', models.PositiveIntegerField()),
                ('precio', models.DecimalField(decimal_places=2, default=0.0, max_digits=9)),
                ('subtotal', models.DecimalField(decimal_places=2, default=0.0, max_digits=9)),
            ],
            options={
                'db_table': 'orden_productos',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Producto',
            fields=[
                ('codigo', models.CharField(max_length=17, primary_key=True, serialize=False)),
                ('descripcion', models.CharField(max_length=80)),
                ('precio_compra', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('precio_venta', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('stock', models.PositiveIntegerField()),
                ('stock_critico', models.PositiveIntegerField()),
                ('fecha_vencimiento', models.DateField(blank=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='product/%Y/%m/%d', verbose_name='Imagen')),
            ],
            options={
                'db_table': 'producto',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Proveedor',
            fields=[
                ('id_proveedor', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('nombre_proveedor', models.CharField(max_length=30)),
                ('rubro_proveedor', models.CharField(max_length=60)),
                ('email_proveedor', models.CharField(max_length=30, unique=True)),
                ('telefono_proveedor', models.PositiveIntegerField()),
            ],
            options={
                'db_table': 'proveedor',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Recepcion',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_recepcion', models.DateField()),
            ],
            options={
                'db_table': 'recepcion',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TipoProducto',
            fields=[
                ('id_tipo_producto', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('tipo_producto', models.CharField(max_length=30, unique=True)),
            ],
            options={
                'db_table': 'tipo_producto',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='TipoVenta',
            fields=[
                ('id_tipo_venta', models.CharField(max_length=30, primary_key=True, serialize=False)),
                ('tipo_venta', models.CharField(max_length=30)),
            ],
            options={
                'db_table': 'tipo_venta',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='Venta',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('fecha_hora', models.DateField()),
                ('subtotal', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
                ('total', models.DecimalField(decimal_places=2, default=0, max_digits=10)),
            ],
            options={
                'db_table': 'venta',
                'managed': False,
            },
        ),
        migrations.CreateModel(
            name='VentaProducto',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('cantidad_venta_producto', models.IntegerField(default=0)),
                ('precio', models.DecimalField(decimal_places=2, default=0.0, max_digits=9)),
                ('subtotal', models.DecimalField(decimal_places=2, default=0.0, max_digits=9)),
            ],
            options={
                'db_table': 'venta_producto',
                'managed': False,
            },
        ),
    ]
